.pgv2{
    width:100%;
}

.pgv2-main{
    position:relative;
    width:100%;
    aspect-ratio:16/9;
    overflow:hidden;
    background:#f5f5f5;
}

.pgv2-main iframe,
.pgv2-main video,
.pgv2-main img{
    width:100%;
    height:100%;
    object-fit:contain;
}

.pgv2-video,
.pgv2-image{
    display:none;
    width:100%;
    height:100%;
}

.pgv2-video.active,
.pgv2-image.active{
    display:block;
}

.pgv2-thumbs{
    display:flex;
    gap:12px;
    margin-top:15px;
}

.pgv2-thumb{
    width:110px;
    height:80px;
    cursor:pointer;
    border:2px solid #eee;
    transition:.3s;
    position:relative;
    flex:none;
}

.pgv2-thumb.active{
    border-color:#0a4fb4;
}

.pgv2-thumb img{
    width:100%;
    height:100%;
    object-fit:cover;
}

.pgv2-thumb .play{
    position:absolute;
    left:50%;
    top:50%;
    transform:translate(-50%,-50%);
    font-size:30px;
    color:var( --e-global-color-primary );
}

.pgv2-thumbs-wrap{

display:flex;

align-items:center;

margin-top:15px;

gap:10px;

}

.pgv2ThumbSwiper{

flex:1;

overflow:hidden;

}

.pgv2ThumbSwiper .swiper-slide{

width:90px;

}

.pgv2-thumb{

cursor:pointer;

border:1px solid #ddd;

padding:3px;

transition:.25s;

}

.pgv2-thumb img{

width:100%;

display:block;

}

.pgv2-thumb.active{

border:2px solid #d40d1c;

}

.pgv2-arrow{

width:36px;

height:80px;

display:flex;

justify-content:center;

align-items:center;

background:#fff;

border:0px solid #ddd;

cursor:pointer;

font-size:24px;

user-select:none;

transition:.3s;

}

.pgv2-arrow:hover{

background:var( --e-global-color-primary );

color:#fff;

}